;;; guix.scm --- MicroBenchmark GNU Guix package.
;;
;; Copyright © 2023 Miguel Ángel Arruga Vivas <rosen644835@gmail.com>
;;
;; This file is part of MicroBenchmark.
;;
;; MicroBenchmark is free software; you can redistribute it and/or
;; modify it under the terms of the GNU Lesser General Public License
;; as published by the Free Software Foundation; either version 3 of
;; the License, or (at your option) any later version.
;;
;; MicroBenchmark is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; Lesser General Public License for more details.
;;
;; You should have received a copy of the GNU Lesser General Public
;; License along with MicroBenchmark.  If not, see
;; <http://www.gnu.org/licenses/>.

(use-modules (guix build-system gnu)
             ((guix licenses) #:prefix license:)
             (guix download)
             (guix packages)
             (gnu packages gettext)
             (gnu packages guile)
             (gnu packages pkg-config))

(define mbenchmark-url "https://www.example.org/downloads/")
(define mbenchmark-home "https://todo.example.org")

(package
  (name "mbenchmark")
  (version "0.0")
  (source
    (origin
      (method url-fetch)
      (uri (string-append mbenchmark-url name "-" version ".tar.gz"))
      (sha256
       (base32 "0000000000000000000000000000000000000000000000000000"))))
  (build-system gnu-build-system)
  (inputs `(("gettext" ,gettext-minimal)
            ("guile" ,guile-3.0-latest)))
  (native-inputs `(("pkg-config" ,pkg-config)))
  (home-page mbenchmark-home)
  (synopsis "Micro-benchmark library")
  (description "TODO: Library to ease the creation of tests to measure
the performance of code fragments.")
  (license license:lgpl3+))
